Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZCartVoucherItem Class Reference

## Public Member Functions
| __construct ( $id="")
| store ()
| get ( $id="")
| delete ()
| id ()
| mailMethod ()
| setMailMethod ( $value)
| online ( $asObject=true)
| address ( $asObject=true)
| setMailMethod ( $value)
| setPriceRange ( $value)
| priceRange ()

## Public Attributes
| $ID
| $CartItemID
| $PriceRange
| $Description
| $MailMethod =0
| $MailID =false
| $WishListItemID
| ID to a wishlist item. Indicates which wishlistitem the cart item comes from. 0 if added from product. More...

## Detailed Description

! eZTrade eZCartItem handles a shopping cart

Example code:

$product = new eZProduct( 3 );
$cartItem = new eZCartItem();
$cartItem->setProduct( $product );
$cartItem->setCart( $cart );
// Store to the database
$cartItem->store();
$cart
$cart
Definition: buy.php:27
eZCartItem
Definition: ezcartitem.php:56
eZProduct
Definition: ezproduct.php:71
$product
$product
Definition: homepage.php:202

See also
  eZCart

Definition at line 53 of file ezcartvoucheritem.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZCartVoucherItem::__construct | ( |  | $id = `""` | ) |

Constructs a new eZCartItem object.

If $id is set the object's values are fetched from the database.

Definition at line 61 of file ezcartvoucheritem.php.

References $id, and $ID.

## Member Function Documentation

## ◆ address()

eZCartVoucherItem::address | ( |  | $asObject = `true` | ) |

Returns the email

Definition at line 212 of file ezcartvoucheritem.php.

References $MailID, and $ret.

## ◆ delete()

eZCartVoucherItem::delete | ( |  | ) |

Deletes a eZCartItem object from the database.

Definition at line 155 of file ezcartvoucheritem.php.

References $db, $res, and eZDB\globalDatabase().

## ◆ get()

eZCartVoucherItem::get | ( |  | $id = `""` | ) |

Fetches the object information from the database.

Definition at line 125 of file ezcartvoucheritem.php.

References $db, $id, $ret, and eZDB\globalDatabase().

## ◆ id()

eZCartVoucherItem::id | ( |  | ) |

Returns the object id.

Definition at line 173 of file ezcartvoucheritem.php.

References $ID.

## ◆ mailMethod()

eZCartVoucherItem::mailMethod | ( |  | ) |

Returns the mailmethod. 1 = email 2 = smail

Definition at line 183 of file ezcartvoucheritem.php.

References $MailMethod.

## ◆ online()

eZCartVoucherItem::online | ( |  | $asObject = `true` | ) |

Returns the email

Definition at line 199 of file ezcartvoucheritem.php.

References $MailID, and $ret.

## ◆ priceRange()

eZCartVoucherItem::priceRange | ( |  | ) |

Returns the price.

Definition at line 243 of file ezcartvoucheritem.php.

References $PriceRange.

## ◆ setMailMethod() [1/2]

eZCartVoucherItem::setMailMethod | ( |  | $value | ) |

Sets the mailmethod of products.

Definition at line 191 of file ezcartvoucheritem.php.

## ◆ setMailMethod() [2/2]

eZCartVoucherItem::setMailMethod | ( |  | $value | ) |

Sets the mailmethod of products.

Definition at line 227 of file ezcartvoucheritem.php.

## ◆ setPriceRange()

eZCartVoucherItem::setPriceRange | ( |  | $value | ) |

Sets the price of voucher item.

Definition at line 235 of file ezcartvoucheritem.php.

## ◆ store()

eZCartVoucherItem::store | ( |  | ) |

Stores a cart to the database.

Definition at line 77 of file ezcartvoucheritem.php.

References $db, $res, and eZDB\globalDatabase().

## Member Data Documentation

## ◆ $CartItemID

eZCartVoucherItem::$CartItemID

Definition at line 249 of file ezcartvoucheritem.php.

## ◆ $Description

eZCartVoucherItem::$Description

Definition at line 251 of file ezcartvoucheritem.php.

## ◆ $ID

eZCartVoucherItem::$ID

Definition at line 248 of file ezcartvoucheritem.php.

Referenced by __construct(), and id().

## ◆ $MailID

eZCartVoucherItem::$MailID =false

Definition at line 253 of file ezcartvoucheritem.php.

Referenced by address(), and online().

## ◆ $MailMethod

eZCartVoucherItem::$MailMethod =0

Definition at line 252 of file ezcartvoucheritem.php.

Referenced by mailMethod().

## ◆ $PriceRange

eZCartVoucherItem::$PriceRange

Definition at line 250 of file ezcartvoucheritem.php.

Referenced by priceRange().

## ◆ $WishListItemID

eZCartVoucherItem::$WishListItemID

ID to a wishlist item. Indicates which wishlistitem the cart item comes from. 0 if added from product.

Definition at line 256 of file ezcartvoucheritem.php.

The documentation for this class was generated from the following file:

- ezcartvoucheritem.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.